<?xml version="1.0" encoding="utf-8" ?>
<log4net>
    <appender name="Console" type="log4net.Appender.ConsoleAppender">
        <layout type="log4net.Layout.PatternLayout">
            <!-- Pattern to output the caller's file name and line number -->
            <conversionPattern value="%5level [%thread] (%file:%line) - %message%newline" />
        </layout>
    </appender>

    <appender name="ColoredConsole" type="log4net.Appender.ColoredConsoleAppender">
        <mapping>
            <level value="DEBUG" />
            <foreColor value="White" />
        </mapping>
        <mapping>
            <level value="INFO" />
            <foreColor value="Green, HighIntensity" />
        </mapping>
        <mapping>
            <level value="WARN" />
            <foreColor value="Yellow, HighIntensity" />
        </mapping>
        <mapping>
            <level value="ERROR" />
            <foreColor value="Red, HighIntensity" />
        </mapping>
        <mapping>
            <level value="FATAL" />
            <foreColor value="Red, HighIntensity" />
            <backColor value="White, HighIntensity"/>
        </mapping>
        <layout type="log4net.Layout.PatternLayout">
            <conversionPattern value="%utcdate{HH:mm:ss,fff} [%thread] %logger [%property{NDC}] - %message%newline" />
        </layout>
    </appender>

    <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
        <file type="log4net.Util.PatternString" value="log\_StatisticService_logfile_[%processid].log" />
        <appendToFile value="true" />
        <maximumFileSize value="1MB" />
        <maxSizeRollBackups value="10" />
        <evaluator type="log4net.Core.LevelEvaluator">
            <threshold value="WARN"/>
        </evaluator>
        <layout type="log4net.Layout.PatternLayout">
            <conversionPattern value="%utcdate{dd MMM yyyy HH:mm:ss,fff} %level [%thread] %logger - %message%newline" />
        </layout>
    </appender>
    <root>
        <level value="ERROR" />
        <appender-ref ref="ColoredConsole" />
        <appender-ref ref="RollingFile" />
    </root>
    <logger name="NHibernate">
        <level value="ERROR" />
    </logger>
    <logger name="cadosys.Learning.Core.Services.Addresses.Recognition">
        <level value="WARN" />
    </logger>
    <logger name="NHibernate.SQL">
        <level value="ERROR" />
    </logger>
    <logger name="cadosys.Recognition.LearningSolution.PrototypeMergingAndValidation">
        <level value="WARN" />
    </logger>
    <logger name="cadosys.Validation.Core">
        <level value="WARN" />
    </logger>
    <logger name="cadosys.Learning.Core.Services">
        <level value="ERROR" />
    </logger>
    <logger name="cadosys.Recognition.LearningSolution">
        <level value="INFO" />
    </logger>
</log4net>